> ## Documentation Index
> Fetch the complete documentation index at: https://docs.closerintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Automation



## OpenAPI

````yaml PUT /automations/{id}
openapi: 3.0.0
info:
  title: Closer Intellect AI API
  description: >-
    The core API documentation and interactive playground for Closer Intellect
    AI.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /automations/{id}:
    put:
      tags:
        - Automations
      summary: Update name, description, or the entire step timeline of a sequence
      operationId: AutomationsController_updateAutomation
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAutomationDto'
      responses:
        '200':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    UpdateAutomationDto:
      type: object
      properties:
        name:
          type: string
          example: Updated Sequence Name
        description:
          type: string
          example: Updated description
        steps:
          type: array
          items:
            $ref: '#/components/schemas/AutomationStepDto'
    AutomationStepDto:
      type: object
      properties: {}
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````